Skip to navigation

Returns required custom details

This returns an array of fields that are required for the provided import and/or export country

Authentication

AuthorizationBearer
Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"
OR
AuthorizationBearer
Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

transIdstringRequired
transactionSrcstringRequired

Query parameters

import_country_codestring or nullOptionalformat: "^[A-Z]{2}$"=2 characters
export_country_codestring or nullOptionalformat: "^[A-Z]{2}$"=2 characters
localestringOptionalformat: "^[a-z]{2}-[A-Z]{2}$"=5 charactersDefaults to en-US
commodity_codesstring or nullOptional1-2000 characters

Optional comma-separated list of tariff codes to filter results.

Response headers

BkndTransIdstringOptional
The backend transaction id.
TransIdstringOptional
An identifier unique to the request.
transactionSrcstringOptional

Identifies the client/source application that is calling.

Content-TypestringOptional

The Content-Type header provides the client with the actual content/media type of the returned content.

Response

Success
commodityCodeslist of objects
Unbounded list of commodity codes and their associated compliance Regulations.
fieldGroupslist of objectsOptional
Unbounded list of field group definitions grouped by country, shipment type, and Regulation.

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error